blfwk::OptionsStore Class Reference

Holds persistent options. More...

`#include <SimulatorMemory.h>`

Collaboration diagram for blfwk::OptionsStore:
[legend]

## Public Member Functions

| OptionsStore ()
| Constructor.
bool | init (const std::string &pathToDir, bool forceCreate)
| Initialize the store. More...
void | persist ()
| Persist the store.

## Protected Attributes

std::string | m_optionsFile
| Options file name. More...

## Detailed Description

Holds persistent options.

## Member Function Documentation

bool OptionsStore::init | ( | const std::string & | pathToDir,
|  | bool | forceCreate
| ) |  |

Initialize the store.

Parameters

  pathToDir | Directory for options file.
  forceCreate | True to re-create options file even if it exists.

## Member Data Documentation

std::string blfwk::OptionsStore::m_optionsFile

protected

Options file name.

The documentation for this class was generated from the following files:

- SimulatorMemory.h
- SimulatorMemory.cpp